Subject: Re: db3.1?
From: "Gerrit P. Haase" <[email-masked]>
To: Lapo Luchini <[email-masked]>
Cc: [email-masked]
Date: Fri, 3 Oct 2003 09:50:51 +0200

Hello Lapo,

>>>Is there any particuloar reason that a db3 program compiled like this:
>>>  -I/usr/include/db3.1/ -ldb-3.1
>>>can compile ok and, at runtime, exit with the following error code?

>>Which db3 program?

> onak, a GPG keyserver: http://www.earth.li/projectpurple/progs/onak.html

Hmmm, I'm getting a lot of warnings:

gcc -Wall -pedantic -g -I/usr/include/db3   -c -o hash.o hash.c
hash.c: In function `destroyhash':
hash.c:60: warning: passing arg 2 of `llfree' from incompatible pointer type
gcc -Wall -pedantic -g -I/usr/include/db3   -c -o keydb_db3.o keydb_db3.c
keydb_db3.c: In function `makewordlist':
keydb_db3.c:94: warning: passing arg 3 of `llfind' from incompatible pointer type
keydb_db3.c: In function `fetch_key_text':
keydb_db3.c:382: warning: passing arg 3 of `llfind' from incompatible pointer type
In file included from keydb_db3.c:785:
keydb.c:141:21: warning: use of C99 long long integer constant
gcc -Wall -pedantic -g -I/usr/include/db3   -c -o keyid.o keyid.c
gcc -Wall -pedantic -g -I/usr/include/db3   -c -o keyindex.o keyindex.c
keyindex.c: In function `list_sigs':
keyindex.c:44: warning: ISO C90 does not support the `ll' printf length modifier
keyindex.c:44: warning: ISO C90 does not support the `ll' printf length modifier
keyindex.c:44: warning: ISO C90 does not support the `ll' printf length modifier
keyindex.c:48: warning: ISO C90 does not support the `ll' printf length modifier
keyindex.c:54: warning: ISO C90 does not support the `ll' printf length modifier
keyindex.c: In function `list_subkeys':
keyindex.c:133: warning: unsigned int format, long unsigned int arg (arg 4)
keyindex.c: In function `key_index':
keyindex.c:223: warning: unsigned int format, long unsigned int arg (arg 4)
keyindex.c: In function `mrkey_index':
keyindex.c:291: warning: ISO C90 does not support the `ll' printf length modifier

And linking fails no _flockfile() && no _funlockfile():
gcc -o add add.o merge.o sendsync.o armor.o charfuncs.o decodekey.o getcgi.o hash.o keydb_db3.o keyid.o keyindex.o ll.o mem.o onak-conf.o parsekey.o sha.o md5.o log.o -L/usr/lib -ldb-3.1
log.o(.text+0x232): In function `logthing':
/tmp/onak/onak-0.2.0/log.c:176: undefined reference to `_flockfile'
log.o(.text+0x2a1):/tmp/onak/onak-0.2.0/log.c:191: undefined reference to `_funlockfile'
collect2: ld returned 1 exit status
make: *** [add] Error 1

Do you have a patch?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/